cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(sdformat15 ${sdformat_FIND_VERSION} REQUIRED COMPONENTS ${sdformat_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(sdformat::sdformat ALIAS sdformat15::sdformat15)
add_library(sdformat::core ALIAS sdformat15::sdformat15)

# Retrieve the list of components
get_target_property(components sdformat15::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL sdformat15::sdformat15)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "sdformat15::sdformat15-" "" component_name ${component})
  add_library(sdformat::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(sdformat ALIAS sdformat15::sdformat15)
